Subject: Re: [PATCH 2/6] ci: check formatting of our Rust code

From: SZEDER Gábor <[email-masked]>
Date: Wed, 29 Oct 2025 22:19:11 +0100

On Thu, Oct 09, 2025 at 07:29:42AM +0200, Patrick Steinhardt wrote:
> On Wed, Oct 08, 2025 at 10:55:43PM +0200, SZEDER Gábor wrote:
> > On Tue, Oct 07, 2025 at 02:36:30PM +0200, Patrick Steinhardt wrote:
> > > diff --git a/ci/run-rust-checks.sh b/ci/run-rust-checks.sh
> > > new file mode 100755
> > > index 0000000000..082eb52f11
> > > --- /dev/null
> > > +++ b/ci/run-rust-checks.sh
> > > @@ -0,0 +1,12 @@
> > > +#!/bin/sh
> > > +
> > > +. ${0%/*}/lib.sh
> > > +
> > > +set +x
> > > +
> > > +if ! group "Check Rust formatting" cargo fmt --all --check
> > > +then
> > > +	RET=1
> > > +fi
> > > +
> > > +exit $RET
> > 
> > Our ci/*.sh scripts usually rely on 'set -e' to catch failed commands.
> > Either this script should follow that convention as well, or the
> > commit message should justify the deviation from convention.
> 
> Ah, good point. The reason is that subsequent commits add more checks,
> and I want to make sure that they all run even if previous checks
> failed. It's otherwise annoying to fix a first set of errors surfaced by
> the CI only to then notice that later checks also fail.

Well, OTOH, it is annoying when the error messages from a failed CI
run are not at the bottom of the logs.